Show / Hide Table of Contents

# Struct DrawDataContainer

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct DrawDataContainer

### Fields

| Improve this Doc View Source

#### Arms

##### Declaration

    public EquipmentModelId Arms

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

| Improve this Doc View Source

#### CustomizeData

##### Declaration

    public CustomizeData CustomizeData

##### Field Value

Type | Description
--- | ---
CustomizeData |

| Improve this Doc View Source

#### Ear

##### Declaration

    public EquipmentModelId Ear

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

| Improve this Doc View Source

#### Feet

##### Declaration

    public EquipmentModelId Feet

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

| Improve this Doc View Source

#### Flags1

##### Declaration

    public byte Flags1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Flags2

##### Declaration

    public byte Flags2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Head

##### Declaration

    public EquipmentModelId Head

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

| Improve this Doc View Source

#### Legs

##### Declaration

    public EquipmentModelId Legs

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

| Improve this Doc View Source

#### LFinger

##### Declaration

    public EquipmentModelId LFinger

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

| Improve this Doc View Source

#### MainHand

##### Declaration

    public DrawObjectData MainHand

##### Field Value

Type | Description
--- | ---
DrawObjectData |

| Improve this Doc View Source

#### MainHandFlags1

##### Declaration

    public ushort MainHandFlags1

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### MainHandFlags2

##### Declaration

    public byte MainHandFlags2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MainHandModel

##### Declaration

    public WeaponModelId MainHandModel

##### Field Value

Type | Description
--- | ---
WeaponModelId |

| Improve this Doc View Source

#### Neck

##### Declaration

    public EquipmentModelId Neck

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

| Improve this Doc View Source

#### OffHand

##### Declaration

    public DrawObjectData OffHand

##### Field Value

Type | Description
--- | ---
DrawObjectData |

| Improve this Doc View Source

#### OffHandFlags1

##### Declaration

    public ushort OffHandFlags1

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### OffHandFlags2

##### Declaration

    public byte OffHandFlags2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### OffHandModel

##### Declaration

    public WeaponModelId OffHandModel

##### Field Value

Type | Description
--- | ---
WeaponModelId |

| Improve this Doc View Source

#### RFinger

##### Declaration

    public EquipmentModelId RFinger

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

| Improve this Doc View Source

#### Top

##### Declaration

    public EquipmentModelId Top

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

| Improve this Doc View Source

#### Unk144Flags1

##### Declaration

    public ushort Unk144Flags1

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk144Flags2

##### Declaration

    public byte Unk144Flags2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk18A

##### Declaration

    public uint Unk18A

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk8

##### Declaration

    public void *Unk8

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### UnkE0Model

##### Declaration

    public WeaponModelId UnkE0Model

##### Field Value

Type | Description
--- | ---
WeaponModelId |

| Improve this Doc View Source

#### UnkF0

##### Declaration

    public DrawObjectData UnkF0

##### Field Value

Type | Description
--- | ---
DrawObjectData |

| Improve this Doc View Source

#### Vtable

##### Declaration

    public void **Vtable

##### Field Value

Type | Description
--- | ---
System.Void** |

| Improve this Doc View Source

#### Wrist

##### Declaration

    public EquipmentModelId Wrist

##### Field Value

Type | Description
--- | ---
EquipmentModelId |

### Methods

| Improve this Doc View Source

#### LoadWeapon(DrawDataContainer.WeaponSlot, WeaponModelId, Byte, Byte, Byte, Byte)

##### Declaration

    public void LoadWeapon(DrawDataContainer.WeaponSlot slot, WeaponModelId weaponData, byte redrawOnEquality, byte unk2, byte skipGameObject, byte unk4)

##### Parameters

Type | Name | Description
--- | --- | ---
DrawDataContainer.WeaponSlot | slot |
WeaponModelId | weaponData |
System.Byte | redrawOnEquality |
System.Byte | unk2 |
System.Byte | skipGameObject |
System.Byte | unk4 |